<%@ Page Language="C#" MasterPageFile="~/users.master" AutoEventWireup="true" CodeFile="MyOrders.aspx.cs" Inherits="MyOrders" Title="My Orders Histrory" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

<asp:HiddenField ID="hdnOrderId" runat="server" />
<asp:HiddenField ID="hdnCommand" runat="server" />

<asp:MultiView ID="MultiView1" runat="server" ActiveViewIndex="0">
<asp:View ID="View1" runat="server">

<%--	ORDERS LIST --%>
<table cellpadding="0" cellspacing="0" style="width:100%">
<tr class="mycarthead">
	<td style="border-left:solid 1px #a6a6a6; width: 50px;" >Order ID</td>
	<td style="width:100px" >Date</td>
	<td style="width:100px" >Order Total</td>
	<td style="width:100px">CC status</td>
	<td style="width:100px">Shipped</td>
</tr>

<%-- list --%>
<asp:Repeater ID="Repeater1" runat="server">
<ItemTemplate>
<tr onmouseover="setcolor(this)" onmouseout="resetcolor(this)" onclick="showdetails('<%#Eval("OrderID") %>')" >
	<td style="height:20px; border-left:solid 1px #a6a6a6; border-right:solid 1px #e6e6e6; text-align:center;"><%#Eval("OrderID") %></td>
	<td style="border-right:solid 1px #e6e6e6; text-align:center"><%# FormatDate(Eval("CheckOutDate")) %></td>	
	<td style="border-right:solid 1px #e6e6e6; text-align:center"><%# FormatTotal(Eval("OrderTotal")) %></td>
	<td style="border-right:solid 1px #e6e6e6; text-align:center;"><%# FormatCCcharged(Eval("CreditCardProcessed"))%></td>
	<td style="border-right:solid 1px #a6a6a6; text-align:center"><%# FormatDate(Eval("SentDate"))%></td>
</tr>
<tr><td colspan="5" style="border-bottom:solid 1px #a6a6a6;border-left:solid 1px #a6a6a6;border-right:solid 1px #a6a6a6; height:1px"><img alt="" src="images/1px.gif" /></td></tr>
</ItemTemplate>
</asp:Repeater>

<asp:Literal ID="ltremptymsg" runat="server" Visible="false" >
<tr><td colspan="5" style="height:60px; text-align:center; border-left:solid 1px #a6a6a6; border-right:solid 1px #a6a6a6" class="saleprice" >You have no orders.</td></tr>
</asp:Literal><tr><td colspan="5" style="border-top:solid 2px #a6a6a6; height:1px"><img alt="" src="images/1px.gif" /></td></tr>
</table>

<%-- END OF ORDERS LIST --%>

</asp:View>	
	
<asp:View ID="View2" runat="server" >

<%-- ORDER DETAILS --%>

<asp:DetailsView ID="DetailsView1" runat="server" CellPadding="4" ForeColor="#333333" GridLines="None" Width="100%" BorderStyle="Solid" BorderWidth="1px" BorderColor="#A6A6A6" AutoGenerateRows="False"  >
		<FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
		<CommandRowStyle BackColor="#E2DED6" Font-Bold="True" />
		<EditRowStyle BackColor="#999999" Width="90%" />
		<RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
		<PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
		<FieldHeaderStyle BackColor="#E6E6E6" Font-Bold="True" Width="40%" />
		<HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White"  />
		<AlternatingRowStyle BackColor="White" ForeColor="#284775" />
		<Fields>
			<asp:BoundField DataField="CheckOutDate" HeaderText="Ordered Date" />
			
			<asp:TemplateField HeaderText="Credit Card">
				<ItemTemplate>
					<asp:Label ID="ccproc" runat="server" Text='<%# FormatCCcharged(Eval("CreditCardProcessed")) %>'></asp:Label>
				</ItemTemplate>
			</asp:TemplateField>
	
			<asp:BoundField DataField="Username" HeaderText="Username" />
			
			<asp:TemplateField HeaderText="Cart Weight">
				<ItemTemplate>
					<asp:Label ID="cwei" runat="server" Text='<%# FormatWeight(Eval("CartWeight")) %>'></asp:Label>
				</ItemTemplate>
			</asp:TemplateField>
			
			<asp:BoundField DataField="RateName" HeaderText="Shipping Service" />
			<asp:BoundField DataField="SentDate" HeaderText="Shipped Date" />
			
			<asp:TemplateField HeaderText="Cart Total">
				<ItemTemplate>
					<asp:Label ID="cwei" runat="server" Text='<%# FormatTotal(Eval("CartCost")) %>'></asp:Label>
				</ItemTemplate>
			</asp:TemplateField>
			
			<asp:TemplateField HeaderText="Shipping">
				<ItemTemplate>
					<asp:Label ID="cwei" runat="server" Text='<%# FormatTotal(Eval("ShippingCost")) %>'></asp:Label>
				</ItemTemplate>
			</asp:TemplateField>
			
			<asp:TemplateField HeaderText="Total To Pay">
				<ItemTemplate>
					<asp:Label ID="cwei" runat="server" Text='<%# FormatTotal(Eval("OrderTotal")) %>'></asp:Label>
				</ItemTemplate>
			</asp:TemplateField>
			
			<asp:BoundField DataField="OrderID" HeaderText="Order ID" />			
			<asp:BoundField DataField="OrderNumber" HeaderText="Order Number" />
		</Fields>
	</asp:DetailsView>


<div style="height:10px;"></div>

<table cellpadding="0" cellspacing="0" style="width:100%">
<tr class="mycarthead"><td colspan="2" style="width:409px; border-left:solid 1px #a6a6a6" >Product(s) ordered</td><td style="width:100px">Qty.</td></tr>

<asp:Repeater ID="repProductsList" runat="server" >
<ItemTemplate>
<tr class="btnlink" onclick="showwin('productpage.aspx?pid=<%#Eval("ProductID") %>')" >
	<td style="height:100px; width:200px; text-align:center; border-left:solid 1px #a6a6a6;" ><img  title='<%#Eval("ProductName") %>'  alt='<%#Eval("ProductName") %>' src='productimages/<%#Eval("ProductImage") %>' /></td>	
	<td style="border-right:solid 1px #e6e6e6; width:209px" class="prodname"><%#Eval("ProductName") %></td>
	<td style="text-align:center; border-right:solid 1px #a6a6a6"><%#Eval("Quantity") %></td>
	
</tr>
<tr><td colspan="5" style="border-bottom:solid 1px #a6a6a6;border-left:solid 1px #a6a6a6;border-right:solid 1px #a6a6a6; height:1px"><img alt="" src="images/1px.gif" /></td></tr>

</ItemTemplate>
</asp:Repeater>

<asp:Literal ID="ltrEmptyOrder" runat="server" Visible="false" >
<tr><td colspan="5" style="height:60px; text-align:center; border-left:solid 1px #a6a6a6; border-right:solid 1px #a6a6a6" class="saleprice" >No items in this order.</td></tr>
</asp:Literal>

<tr><td colspan="5" style="border-top:solid 2px #a6a6a6; height:1px"><img alt="" src="images/1px.gif" /></td></tr>
</table>


<table style="width:100%">
<tr><td style="height:30px; text-align:right; vertical-align:bottom"><img alt="Return" src="images/btncontinue.gif" class="btnlink" onclick="goback()" /></td></tr>
</table>


<%-- END OF DETAILS --%>
</asp:View>	
	
	

</asp:MultiView>







</asp:Content>

