

#if(DEBUG)

using System;
using System.Data;

namespace Imf.Cart.CartAppCode
{
	public class Utility
	{
		public static string GetColumnsEnum(DataTable dataTable, string filePath, string enumName )
		{
			string ccc = "enum " + enumName + " { ";
			foreach (DataColumn col in dataTable.Columns)
			{
				ccc += col.ColumnName + ", \r\n";
			}
			ccc.Remove(ccc.Length - 2);
			ccc += "};";

			//System.Windows.Forms.Clipboard.Clear();
			//System.Windows.Forms.Clipboard.SetText(ccc);

			System.IO.StreamWriter fs = new System.IO.StreamWriter(filePath);
			fs.Write(ccc);
			fs.Flush();
			fs.Close();
			return ccc;
		}

		public static string GetColumnsEnum(DataSet dataSet, string filePath, string enumName)
		{
			return GetColumnsEnum(dataSet.Tables[0], filePath, enumName);
		}
	}
}



#endif
