﻿// JScript File

//REPLACE IE <P> TAGS WITH <DIV>, REPLACE <BR> WITH <BR/>
FTB_FreeTextBox.prototype.CopyDesignToHtml = function() {
	
	// set all stored URLs
	var links = this.designEditor.document.getElementsByTagName('a');
	var imgs = this.designEditor.document.getElementsByTagName('img');
	
	for (var i=0; i<links.length; i++) {
		var stored = links[i].getAttribute('temp_href');
		if (stored) {
			links[i].setAttribute('href',stored);
		}
	}
	for (var i=0; i<imgs.length; i++) {
		var stored = imgs[i].getAttribute('temp_src');
		if (stored) {
			imgs[i].setAttribute('src',stored);
		}
	}
	
	var html = this.designEditor.document.body.innerHTML;
	html = this.RemoveTempUrls(html);
	
	// IE: replace <p> tags with <div>
	var re = new RegExp(/<(P|p)/);
	while(html.match(re) != null)
	{
		html = html.replace(re, "<div");
	}
	re = new RegExp(/<\/(P|p)>/);
	while(html.match(re) != null)
	{
		html = html.replace(re, "</div>");
	}

	// IE & Mozilla: replace <br> or <BR> with <br/> // to create XHTML valid doc
	re = new RegExp(/<(br|BR)>/);
	while(html.match(re) != null)
	{
		html = html.replace(re, "<br/>");
	}
	// end of custom code

	this.htmlEditor.value = html;
	// clear out default moz & ie properties
	if (this.htmlEditor.value == '<br/>' || this.htmlEditor.value == '<br/>\r\n' || // Mozilla fixed
		this.htmlEditor.value == '<div>&nbsp;</div>') { // IE fixed
		this.htmlEditor.value = '';
	}
};

// BACKGROUND COLOR NOT APPLYED IN MOZILLA, FIXED BUG
FTB_FreeTextBox.prototype.ExecuteCommand = function(commandName, middle, commandValue) {
	if (this.mode != FTB_MODE_DESIGN) return;
	this.designEditor.focus();
	if (commandName == 'backcolor' && !FTB_Browser.isIE) commandName = 'hilitecolor';
	
	if (!FTB_Browser.isIE) {
		this.designEditor.document.execCommand("useCSS",null,false); // bug fixeded, must be false
	}
	
	this.designEditor.document.execCommand(commandName,middle,commandValue);
	if (this.clientSideTextChanged)
		this.clientSideTextChanged(this);
};


// CUSTOM IMAGES GALLERY
FTB_FreeTextBox.prototype.InsertImageFromGallery = function() {
	
	url = this.imageGalleryUrl.replace(/\{0\}/g,this.imageGalleryPath);	
	url += "&ftb=" + this.id;
	
	var gallery = window.open(url,'gallery','width=750,height=600,toolbars=0,resizable=1,scrollbars=1,status=yes');
	gallery.focus();	
};

//CUSTOM COLORPICKER
FTB_FreeTextBox.prototype.LaunchColorPickerWindow = function(commandName, startValue) 
{
	launchParameters = new Object();
	window.ColorPickerParams = launchParameters;
	launchParameters['ftb'] = this;
	launchParameters['commandName'] = commandName;
	var pickerWin = window.open("pop.colorpicker.htm","colorPickerWin","width=350,height=350,status=yes");
	if (pickerWin) {
		pickerWin.focus();
	} else {
		alert("Please turn off your PopUp blocking software");
		return;
	}
};

//fixed in v.3.15
/*
function FTB_Button(id, commandIdentifier, customAction, customStateQuery, htmlModeEnabled, customEnabled) {

	this.state = FTB_BUTTON_OFF;
	this.id = id;
	this.ftb = null;
	this.commandIdentifier = commandIdentifier;
	this.customAction = customAction;
	this.customStateQuery = customStateQuery;	
	
	this.disabled = false;
	this.htmlModeEnabled = htmlModeEnabled	;
	this.customEnabled = customEnabled;
	
	this.td = document.getElementById(id);
	this.td.button = this;
	
	if (FTB_Browser.isIE) {		
		this.buttonImage = this.td.childNodes[0];
	} else {
		this.buttonImage = this.td.childNodes[0];
	}
	
};
*/