using System;
using System.Data;
using System.Web.Security;
using Imf.Cart.CartAppCode;
using System.Web.UI.WebControls;


public partial class users : System.Web.UI.MasterPage
{
	protected string siteRoot = Root.GetSiteRoot();
	protected string strUsername = "";

	protected string metaKeywords = "";
	protected string metaDescription = "";
	protected string metaDescriptionText = "";
	protected string contentTitle = "";
	
	protected string bottomHtml = "";


	protected void Page_Load(object sender, EventArgs e)
	{
		//Response.Cache.SetCacheability(HttpCacheability.ServerAndNoCache);
		//Response.Cache.SetValidUntilExpires(true);
		//////Response.Cache.SetNoStore();
		//Response.Cache.SetExpires(DateTime.Now.AddSeconds(1));
		//////Response.BufferOutput = false;
		//Response.Cache.VaryByParams["*"] = true;
		//Response.Cache.SetCacheability(System.Web.HttpCacheability.NoCache);

		strUsername = Page.User.Identity.Name;

		if (!Page.IsPostBack) 
		{
			//we save current url
			//since users.master page is processed after the main page
			//previousurl variable is referrer url to the main page
			SessionManager.SaveCurrentUrlAsReturningUrl(Request.Url.ToString());

			lnklogout.Visible = Page.User.Identity.IsAuthenticated;
			lnkloginregister.Visible = !lnklogout.Visible;
			//lnkadmin.Visible = UsersProvider.IsCartAdmin;

			// BIND CATEGORIES
			repMenu.DataSource = CategoriesProvider.GetActiveCategoriesFromCacheOrDB();
			repMenu.DataBind();

			ShoppingCart cart = null;
			ShoppingCart.GetShoppingCart(UsersProvider.GetCurrentUserName(), ref cart);
			// we may show items in cart
			ltrincart.Text = "&nbsp;" + cart.TotalItems + " Item(s)";
			// or we may show cart price
			//ltrincart.Text = "&nbsp;" + AppSettingsProvider.CurrencySign + (cart.Price.ToString("n2"));

			////////////////////////////////////////////////////////////////////////////////////////////
			// META INFO
			HiddenField hdnKeywords = (HiddenField)ContentPlaceHolder1.FindControl("hdnMetaKeywords");
			if (hdnKeywords != null)
			{
				metaKeywords = "<meta name=\"keywords\" content=\"" + hdnKeywords.Value + "\" />";
			}
			HiddenField hdnDesc = (HiddenField)ContentPlaceHolder1.FindControl("hdnMetaDescription");
			if (hdnDesc != null)
			{
				metaDescription = "<meta name=\"description\" content=\"" + hdnDesc.Value + "\" />";
				metaDescriptionText = hdnDesc.Value;
			}

			// CONTENT TITLE
			HiddenField hdnContentTitle = (HiddenField)ContentPlaceHolder1.FindControl("hdnContentTitle");
			if (hdnContentTitle != null)
			{
				contentTitle = hdnContentTitle.Value;
			}
			if (contentTitle == "")
			{
				contentTitle = Page.Title;
			}
			///////////////////////////////////////////////////////////////////////////////////////////

			// DYNAMIC HTML BOTTOM CONTENT
			DynamicHtml pp = null;
			DynamicHtml.GetPage("bottom", ref pp);
			if (pp.isActive)
			{
				bottomHtml = pp.html;
			}			

		}
		else
		{
			string cmd = hdncommand.Value;
			hdncommand.Value = "";

			if (cmd == "logout")
			{
				FormsAuthentication.SignOut();
				Response.Redirect(Request.Url.ToString());
			}
			else if (cmd.StartsWith("email"))
			{
				string email = cmd.Substring(6);
				SaveEmail(Server.UrlDecode(email));
			}
		}
	}
	private void SaveEmail(string email)
	{
		if (UsersProvider.SaveNewsletterEmail(email, true))
		{
			ltrsaved.Visible = true;
		}
		else
		{
			ltrerror.Visible = true;
		}
	}



}
