<%@ page language="C#" masterpagefile="~/users.master" autoeventwireup="true" inherits="CheckoutConfirm, App_Web_wpfb6-nj" title="Please Confirm" %>

<%@ Register Src="~/gateway/AuthorizeNet.ascx" TagName="AuthorizeNet" TagPrefix="gat" %>
<%@ Register Src="~/gateway/2CheckOut.ascx" TagName="TwoCheckout" TagPrefix="gat" %>
<%@ Register Src="~/gateway/ChronoPay.ascx" TagName="ChronoPay" TagPrefix="gat" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">


<asp:Literal ID="ltrCantLoadData" runat="server" Visible="false" EnableViewState="false">
<div style="background-color:red"><img alt="" src="images/error.gif" /> Error: Can't load user data. Try again later.</div>
<div style="height:10px;"></div>
</asp:Literal>

<asp:Literal ID="ltrCartError" runat="server" Visible="false" EnableViewState="false">
<div style="background-color:red"><img alt="" src="images/error.gif" /> Error: Your cart isn't valid. Review cart items again.</div>
<div style="height:10px;"></div>
</asp:Literal>

<asp:Literal ID="ltlNoActiveGateway" runat="server" Visible="false" EnableViewState="false">
<div style="background-color:red"><img alt="" src="images/error.gif" /> Error: No active payment gateway.</div>
<div style="height:10px;"></div>
</asp:Literal>

<asp:Literal ID="ltrCantSaveData" runat="server" Visible="false" EnableViewState="false">
<div style="background-color:red"><img alt="" src="images/error.gif" /> Error: Data were not updated. Please try again.</div>
<div style="height:10px;"></div>
</asp:Literal>



<table cellpadding="0" cellspacing="0" style="width:100%; height:50px">
<tr>
	<td style="height:10px; text-align:left; width:10px"><img alt="" src="images/ctopl.gif" /></td>
	<td style=" width:489px; border-top:solid 1px #a7a7a7"><img alt="" src="images/1px.gif" /></td>
	<td style="height:10px; text-align:right; width:10px"><img alt="" src="images/ctopr.gif" /></td>
</tr>
<tr>
	<td colspan="3" style=" text-align: justify; border-left:solid 1px #a7a7a7; border-right:solid 1px #a7a7a7;">
	<div style="margin-left:10px; margin-right:10px">
	



<%-- GATEWAY SPECIFIC CODE --%>	

<gat:TwoCheckout ID="TwoCheckout1" runat="server" />
<gat:AuthorizeNet ID="AuthorizeNet1" runat="server" />
<gat:ChronoPay ID="ChronoPay1" runat="server" />



<asp:MultiView ID="MultiView1" runat="server" >

<%-- SHOW TOTAL TO PAY AND CONTINUE BUTTON --%>
<asp:View ID="View1" runat="server" >
<div style="width:100%; margin-top:20px;" align="center">
<table>
<tr>
	<td ><b>Total To Pay: &nbsp;</b></td>
	<td class="saleprice"><asp:Label ID="lblTotalToPay" runat="server"  Font-Bold="True" ></asp:Label></td>
</tr>
<tr><td style="height:20px"></td></tr>
<tr>
	<td colspan="2" style="text-align:center">
	<asp:ImageButton ID="ImageButton2" runat="server" BorderWidth="0px" CssClass="btnlink" AlternateText="Continue"
		ImageUrl="~/images/btncontinue.gif" OnClick="ImageButton2_Click"  />
	
		<asp:Label ID="lblNoActiveGateway" runat="server" Text="Sorry, no active gateway." Visible="false"></asp:Label>
	</td></tr>
</table>
</div>
</asp:View>			



<%-- CONNECTING TO PAYMENT GATEWAY --%>
<asp:View ID="View2" runat="server">
<table cellpadding="0" cellspacing="0" style="height:200px; width:100%">
	<tr>
		<td style="text-align:center"><img alt="" src="images/scan.gif" /></td>
	</tr>
</table>
</asp:View>
    
    
    
    
  <%-- ORDER COMPLETE  --%>
  <asp:View ID="View3" runat="server">
<table align='center' style="height:150px;" >
<tr>
<td>You may track the status of your order at <em>My Orders</em> page.</td>
</tr>
		</table>
<%-- SHOW CONTINUE BUTTON AFTER ORDER HAS BEEN CONFIRMED --%>
<div style="width:100%; margin-top:20px;" align="right" >
<table>
		<tr><td style="height:40px; text-align:right; vertical-align:bottom"><a href="<%=siteRoot%>/myorders.aspx"><img alt="Continue" src="images/btncontinue.gif" style="border:0" /></a></td></tr>
		</table>
</div>	
 </asp:View>
    
  </asp:MultiView>




	</div>
</td></tr>
<tr>
	<td style="height:10px; text-align:left;"><img alt="" src="images/cbottl.gif" /></td>
	<td style="border-bottom:solid 1px #a7a7a7"><img alt="" src="images/1px.gif" /></td>
	<td style="height:10px; text-align:right;"><img alt="" src="images/cbottr.gif" /></td>
</tr>          
</table>

</asp:Content>

